<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE lire:dlf-schema PUBLIC
  "-//LogReport.ORG//DTD Lire DLF Schema Markup Language V1.0//EN"
  "http://www.logreport.org/LDSML/1.1/ldsml.dtd">
<lire:dlf-schema superservice="lire_import_stats" timestamp="time_start"
 xmlns:lire="http://www.logreport.org/LDSML/">

 <lire:title>DLF Schema for ImportJob and AnalysisJob Statistics</lire:title>
 
 <lire:description>
  <para>This Dlf schema is used to store ImportJob and AnalysisJob
   statistics.</para>
 </lire:description>

 <lire:field name="time_start" type="timestamp" label="Start Time">
  <lire:description>
   <para>The time at which the job was started.</para>
  </lire:description>
 </lire:field>

 <lire:field name="elapsed" type="duration" label="Processing Time">
  <lire:description>
   <para>The duration of the job.</para>
  </lire:description>
 </lire:field>

 <lire:field name="job_name" type="string" label="Job Name">
  <lire:description>
   <para>The name of the job.</para>
  </lire:description>
 </lire:field>

 <lire:field name="job_id" type="string" label="Job Id">
  <lire:description>
   <para>The job id to which the stats relate to. This is the job
    name plus the timestamp of the start of the job. The job id makes
    it possible to distinguish between different run of the same
    scheduled import or analysis job.
   </para>
  </lire:description>
 </lire:field>

 <lire:field name="line_count" type="int" label="Lines Read">
  <lire:description>
   <para>Number of log lines processed during that job.</para>
  </lire:description>
 </lire:field>

 <lire:field name="dlf_count" type="int" label="Dlf Created">
  <lire:description>
   <para>Number of DLF records created during the job.</para>
  </lire:description>
 </lire:field>

 <lire:field name="ignored_count" type="int" label="Ignored Lines">
  <lire:description>
   <para>Number of lines ignored during that ImportJob.</para>
  </lire:description>
 </lire:field>

 <lire:field name="saved_count" type="int" label="Saved Lines">
  <lire:description>
   <para>Number of lines saved for later processing during that
    ImportJob.</para>
  </lire:description>
 </lire:field>

 <lire:field name="error_count" type="int" label="Errors">
  <lire:description>
   <para>Number of errors encountered during that job.</para>
  </lire:description>
 </lire:field>

</lire:dlf-schema>
